org.apache.solr.analytics.util

## Class RangeEndpointCalculator.LongRangeEndpointCalculator

- java.lang.Object
- - org.apache.solr.analytics.util.RangeEndpointCalculator<Long>
  - - org.apache.solr.analytics.util.RangeEndpointCalculator.LongRangeEndpointCalculator

- Enclosing class:
    RangeEndpointCalculator<T extends Comparable<T>>

      public static class RangeEndpointCalculator.LongRangeEndpointCalculator
      extends RangeEndpointCalculator<Long>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.analytics.util.RangeEndpointCalculator

      `RangeEndpointCalculator.DateRangeEndpointCalculator, RangeEndpointCalculator.DoubleRangeEndpointCalculator, RangeEndpointCalculator.FacetRange, RangeEndpointCalculator.FloatRangeEndpointCalculator, RangeEndpointCalculator.IntegerRangeEndpointCalculator, RangeEndpointCalculator.LongRangeEndpointCalculator`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.analytics.util.RangeEndpointCalculator

      `field, request`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongRangeEndpointCalculator(RangeFacetRequest request)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `parseAndAddGap(Long value, String gap)` Adds the String gap param to a low Range endpoint value to determine the corrisponding high Range endpoint value.
    `protected Long` | `parseVal(String rawval)` Parses a String param into an Range endpoint.

    - ### Methods inherited from class org.apache.solr.analytics.util.RangeEndpointCalculator

      `addGap, create, formatValue, getGap, getRanges, getValue, parseGap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongRangeEndpointCalculator

          public LongRangeEndpointCalculator(RangeFacetRequest request)

  - ### Method Detail

    - #### parseVal

          protected Long parseVal(String rawval)

      Description copied from class: `RangeEndpointCalculator`
      Parses a String param into an Range endpoint. Can throw a low level format exception as needed.
      Specified by:
        `parseVal` in class `RangeEndpointCalculator<Long>`

    - #### parseAndAddGap

          public Long parseAndAddGap(Long value,
                                     String gap)

      Description copied from class: `RangeEndpointCalculator`
      Adds the String gap param to a low Range endpoint value to determine the corrisponding high Range endpoint value. Can throw a low level format exception as needed.
      Specified by:
        `parseAndAddGap` in class `RangeEndpointCalculator<Long>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.